/********************************************************************************************************
 * PROGRAM      : FreeGo4
 * DATE - TIME  : jeudi 24 aot 2006 - 20h00
 * AUTHOR       : Azevedo Filipe aka Nox PasNox ( pasnox at gmail dot com )
 * FILENAME     : UINetwork.h
 * LICENSE      : GPL
 * COMMENTARY   : 
 ********************************************************************************************************/
#ifndef UINETWORK_H
#define UINETWORK_H
//
#include "ui_UINetwork.h"
//
#include <QPointer>
//
class UINetwork : public fgDialog, public Ui::UINetwork
{
	Q_OBJECT
	//
public:
	static UINetwork* self( QWidget* = 0 );
	//
private:
	UINetwork( QWidget* = 0 );
	static QPointer<UINetwork> mSelf;
	//
private slots:
	void readNetwork( const QString&, bool );
	void readFree( const QString&, bool );
	void readFreebox( const QString&, bool );
	void anchorClicked( const QUrl& );
	//
};
//
#endif // UINETWORK_H
