/********************************************************************************************************
	* PROGRAM      : FreeGo4
	* DATE - TIME  : dimanche 01 octobre 2006 - 16h01
	* AUTHOR       : Azevedo Filipe aka Nox PasNox ( pasnox at gmail dot com )
	* FILENAME     : UIAbout.cpp
	* LICENSE      : GPL
	* COMMENTARY   : 
	********************************************************************************************************/
#include "UIAbout.h"
#include "misc.h"
//
QPointer<UIAbout> UIAbout::mSelf = 0L;
//
UIAbout* UIAbout::self( QWidget* p )
{
		if ( !mSelf )
		mSelf = new UIAbout( p );
	return mSelf;
}
//
UIAbout::UIAbout( QWidget* p )
	: fgDialog( p )
{
	setupUi( this );
	fixMacWidgets();
	QList<fgLabel*> ll = findChildren<fgLabel*>();
	foreach ( fgLabel* l, ll )
		if ( l != fgClose )
			connect( l, SIGNAL( clicked() ), this, SLOT( fgLabel_clicked() ) );
}
//
void UIAbout::fgLabel_clicked()
{
	fgLabel* l = qobject_cast<fgLabel*>( sender() );
	if ( l )
		misc::openUrl( l->toolTip() );
}
