/********************************************************************************************************
* PROGRAM      : FreeGo4
* DATE - TIME  : jeudi 14 septembre 2006 - 22h25
* AUTHOR       : Azevedo Filipe aka Nox PasNox ( pasnox at gmail dot com )
* FILENAME     : UIAlert.cpp
* LICENSE      : GPL
* COMMENTARY   : 
********************************************************************************************************/
#include "UIAlert.h"
//
UIAlert::UIAlert( QWidget* p )
	: fgDialog( p )
{
	setupUi( this );
	fixMacWidgets();
}
//
UIAlert* UIAlert::alert( QWidget* p, const QString& s, bool vsync, bool hsync )
{
	UIAlert* a = new UIAlert( p ? p : qApp->activeWindow() );
	a->lMessage->setText( s );
	
	if(vsync || hsync)
	{
		Qt::Alignment align;
		if(hsync)
			align |= Qt::AlignHCenter;
		if(vsync)
			align |= Qt::AlignVCenter;
		a->lMessage->setAlignment( align );
	}
	
	a->show();
	return a;
}
