/********************************************************************************************************
	* PROGRAM      : FreeGo4
	* DATE - TIME  : jeudi 27 juillet 2006 - 19h52
	* AUTHOR       : Azevedo Filipe aka Nox PasNox ( pasnox at gmail dot com )
	* FILENAME     : UILineFeature.h
	* LICENSE      : GPL
	* COMMENTARY   : 
	********************************************************************************************************/
#ifndef UILINEFEATURE_H
#define UILINEFEATURE_H
//
#include "ui_UILineFeature.h"
//
#include <QPointer>
#include <QDomDocument>
//
class QSettings;
//
class UILineFeature : public fgDialog, public Ui::UILineFeature
{
	Q_OBJECT
	//
public:
	enum DialogMode { dmSagem = 0, dmFreeBox };
	static UILineFeature* self( QWidget* = 0 );
	//
protected:
	void showEvent( QShowEvent* );
	//
private:
	UILineFeature( QWidget* = 0 );
	static QPointer<UILineFeature> mSelf;
	//
public slots:
	void changeMode( const DialogMode& mode );
	void readLogin( QSettings* settings, bool error );
	void readLineFeature( const QDomDocument& document, bool error );
};
//
#endif // UILINEFEATURE_H
