/********************************************************************************************************
* PROGRAM      : FreeGo4
* DATE - TIME  : jeudi 27 juillet 2006 - 18h57
* AUTHOR       : Azevedo Filipe aka Nox PasNox ( pasnox at gmail dot com )
* FILENAME     : UISubscribe.h
* LICENSE      : GPL
* COMMENTARY   : 
********************************************************************************************************/
#ifndef UISUBSCRIBE_H
#define UISUBSCRIBE_H

#include "ui_UISubscribe.h"

#include <QPointer>

class QSettings;

class UISubscribe : public fgDialog, public Ui::UISubscribe
{
	Q_OBJECT

public:
	static UISubscribe* self( QWidget* = 0 );

private:
	UISubscribe( QWidget* = 0 );
	static QPointer<UISubscribe> mSelf;

protected slots:
	void readLogin( QSettings*, bool );
	void addLine( const QString& text, const QString& pixmap = QString::null, Qt::GlobalColor color = Qt::black );
	void readSubscribe( const QByteArray& buffer, bool error );
	void linkActivated( const QString& url );
};

#endif // UISUBSCRIBE_H
